Namespace
martialblog
Image / Tag
limesurvey:3.17.5_190604-fpm
Content Digest
sha256:e7fb39b90a336cb0eb13714a820cf77ef0eb581ecc5cbcff51907e436f0d0763
Details
Created

2019-06-26 14:35:49 UTC

Size

264 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

LIMESURVEY_VERSION

3.17.5+190604

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://www.php.net/get/php-7.2.19.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

4ffa2404a88d60e993a9fe69f829ebec3eb1e006de41b6048ce5e91bbeaa9282

PHP_URL

https://www.php.net/get/php-7.2.19.tar.xz/from/this/mirror

PHP_VERSION

7.2.19


Layers

[#000] sha256:fc7181108d403205fda45b28dbddfa1cf07e772fa41244e44f53a341b8b1893d - 8.12% (21.4 MB)

[#001] sha256:0e65236fc68ab0d8a95b419f7227dade0eb78d84ac65d318d4e0b6f91d914ab3 - 0.0% (227 Bytes)

[#002] sha256:40fde9a4a72e50b9d59c73c8820c043c09b1218afb3f103f101d3d2bf78dbeef - 24.34% (64.3 MB)

[#003] sha256:7565c4cbce22d7dc86bc386167e3a99a3079e08789801c15d0b1091774897ead - 0.0% (236 Bytes)

[#004] sha256:00c29a91b4f0688bd150385b1d4b6948eaf4a6741e77315126d7a623af41090a - 4.51% (11.9 MB)

[#005] sha256:b2888b4882d3f89c6f6294a8ec0dbba95f5f273cbd0ef37692243502ca6e4959 - 0.0% (498 Bytes)

[#006] sha256:c8af601fe1ce12a0a077101f85a823d8be7c9ef7c478f4b1f43a78529bdc3c76 - 10.27% (27.1 MB)

[#007] sha256:2c5ca300461eca18e2ecea8d0f4c251dfb8c087dc517707cf64fff28ed99c926 - 0.0% (2.17 KB)

[#008] sha256:6192ae8e5997407d28faa7aaa3df3f55d0623c5697449bad4d6faaa8e2f40808 - 0.0% (260 Bytes)

[#009] sha256:02d73375e0aa52af6ee8945986cbe976b0cf1d513b50deb09a472883bf3ab427 - 0.0% (7.62 KB)

[#010] sha256:f547dbabaaf78f5969cb79454ce8955b91ff48de21865c94451d0eb15a9e3b68 - 1.78% (4.71 MB)

[#011] sha256:23f1d1e1ec5fd6bc72628a257676c6cbda9450dbd292fdeaa8e0e196a23e2353 - 0.0% (169 Bytes)

[#012] sha256:2076585097e7297aacd2652d87534a49fe9c682fdce4eabded2048d1c435324a - 0.46% (1.22 MB)

[#013] sha256:ef4aa1c9e8993873e0481b9c7b0dc68ce34c90b2d36b72f29c99d416934f0631 - 25.09% (66.3 MB)

[#014] sha256:8b30758ed455e2439de7e70203ba8c939efcee817765ccdb571dacc74c523446 - 25.43% (67.2 MB)

[#015] sha256:62a03875f6b24517b87d2fcc49963d4d6ee5754e1b4c1ec965d1c9867ba64bbb - 0.0% (1.17 KB)


History
2019-06-10 23:24:23 UTC

/bin/sh -c #(nop) ADD file:5ffb798d64089418ef4d3a261df5ad7cfa038eb2ef778db2b92604ac87228d99 in /

2019-06-10 23:24:23 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-06-11 01:35:28 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-06-11 01:35:28 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-06-11 01:36:10 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-06-11 01:36:11 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-06-11 01:36:12 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-06-11 01:54:22 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-06-11 01:54:22 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-06-11 01:54:22 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-06-11 01:54:22 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-06-11 02:29:23 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2019-06-11 02:29:23 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.19

2019-06-11 02:29:23 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.19.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.19.tar.xz.asc/from/this/mirror

2019-06-11 02:29:23 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=4ffa2404a88d60e993a9fe69f829ebec3eb1e006de41b6048ce5e91bbeaa9282 PHP_MD5=

2019-06-11 02:29:33 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-06-11 02:29:34 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-06-17 22:35:23 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2019-06-17 22:35:24 UTC

/bin/sh -c #(nop) COPY multi:c1ff99c7805e8f41fdb0717f754884884ce2157d746a82343d7c737c86ded761 in /usr/local/bin/

2019-06-17 22:35:26 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-06-17 22:35:26 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-06-17 22:35:26 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-06-17 22:35:28 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-06-17 22:35:29 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2019-06-17 22:35:29 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-06-17 22:35:29 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-06-26 14:26:47 UTC

/bin/sh -c #(nop) LABEL [email protected]

2019-06-26 14:26:49 UTC

/bin/sh -c #(nop) ARG version=3.17.5+190604

2019-06-26 14:26:50 UTC

/bin/sh -c #(nop) ARG sha256_checksum=ee0a5bfd2f2cfef664d711e4e54dc920cd826b521619fc9cf6fa0681c1581148

2019-06-26 14:27:41 UTC

|2 sha256_checksum=ee0a5bfd2f2cfef664d711e4e54dc920cd826b521619fc9cf6fa0681c1581148 version=3.17.5+190604 /bin/sh -c set -ex; apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends -y libldap2-dev zlib1g-dev libc-client-dev libkrb5-dev libpng-dev libpq-dev netcat && apt-get autoclean; apt-get autoremove; rm -rf /var/lib/apt/lists/*

2019-06-26 14:27:43 UTC

|2 sha256_checksum=ee0a5bfd2f2cfef664d711e4e54dc920cd826b521619fc9cf6fa0681c1581148 version=3.17.5+190604 /bin/sh -c set -ex; ln -fs /usr/lib/x86_64-linux-gnu/libldap.so /usr/lib/

2019-06-26 14:34:54 UTC

|2 sha256_checksum=ee0a5bfd2f2cfef664d711e4e54dc920cd826b521619fc9cf6fa0681c1581148 version=3.17.5+190604 /bin/sh -c set -ex; docker-php-ext-configure imap --with-kerberos --with-imap-ssl && docker-php-ext-install -j5 gd imap ldap mbstring pdo pdo_mysql pdo_pgsql pgsql zip

2019-06-26 14:34:54 UTC

/bin/sh -c #(nop) ENV LIMESURVEY_VERSION=3.17.5+190604

2019-06-26 14:35:08 UTC

/bin/sh -c #(nop) ADD d2db7f24db418a2a5dde43f80bcb1b5eb27506f2fa631c6b2bd281f3d2bfa2ac in /tmp

2019-06-26 14:35:47 UTC

|2 sha256_checksum=ee0a5bfd2f2cfef664d711e4e54dc920cd826b521619fc9cf6fa0681c1581148 version=3.17.5+190604 /bin/sh -c set -ex; echo "${sha256_checksum} /tmp/${version}.tar.gz" | sha256sum -c - && tar xzvf "/tmp/${version}.tar.gz" --strip-components=1 -C /var/www/html/ && rm -f "/tmp/${version}.tar.gz" && chown -R www-data:www-data /var/www/html

2019-06-26 14:35:48 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-06-26 14:35:49 UTC

/bin/sh -c #(nop) COPY file:e0e6ed85a8fd2c3e98eb1e662f7f7a6dafad95c2c9dc3566570d17dee03a4754 in entrypoint.sh

2019-06-26 14:35:49 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/var/www/html/entrypoint.sh"]

2019-06-26 14:35:49 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete